Bug 75865 - Ctrl-o should not use for starting/ending-conversion
Ctrl-o should not use for starting/ending-conversion
Product: Red Hat Linux
Classification: Retired
Component: Canna (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Bill Huang
Depends On:
  Show dependency treegraph
Reported: 2002-10-14 03:53 EDT by Takanori MATSUURA
Modified: 2007-04-18 12:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-04-21 08:19:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Takanori MATSUURA 2002-10-14 03:53:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2b) Gecko/20021014

Description of problem:
kinput2 uses the key bind "Ctrl-o" for starting/ending-conversion. But Ctrl-o is
used by many other programs (ie. GNOME applications for "File Open", (X)Emacs
for some functions).

So, the ley binding "Ctrl-o" should not use on kinput2.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:fo
1. push "Ctrl-o"

Actual Results:  File Open dialog opens (GNOME etc.).
can't use functions needed Ctrl-o ((X)Emacs).

Expected Results:  no effects against any other programs.
Comment 1 John Thacker 2002-10-20 04:41:48 EDT
This happened in 7.x as well; it's apparently a kinput2 issue.  It's easily
reproducible.  It's especially annoying because the Ctrl-o combination does not
appear in /usr/X11R6/lib/X11/app-defaults/Kinput2 in the resources that allows
one to add and remove new key combinations to start conversions.  It doesn't
appear in the file at all.  Thus, it's impossible to prevent Ctrl-o from
starting conversion.

This is very annoying, because it makes it impossible to access functions called
by ctrl-o.  (It's particularly annoying in Pine, as it makes Postpone unusable,
and pine does not have menus to click on, unlike other applications.)
Comment 2 Akira TAGOH 2003-04-21 04:40:11 EDT
It's Canna's configuration issue. this problem was already fixed. but it's in
skeleton canna configuration file. so if you don't have
(global-unbind-key-function 'japanese-mode) line in your .canna, you may still
see this problem.

Comment 3 Akira TAGOH 2003-04-21 08:19:47 EDT
fixed the source codes in 3.6-15

Note You need to log in before you can comment on or make changes to this bug.